summaryrefslogtreecommitdiff
path: root/travis.sh
diff options
context:
space:
mode:
authorHaru <haru@dotalux.com>2014-11-11 00:51:08 +0100
committerHaru <haru@dotalux.com>2014-11-11 00:51:08 +0100
commitfe6599de91dbab781e37fbded66cfecb685041cf (patch)
treec5d69895bd9054db466edaa316763b0dd4a18551 /travis.sh
parent6dee468d487f591a0bc603733f5da52a9e94fa68 (diff)
downloadhercules-fe6599de91dbab781e37fbded66cfecb685041cf.tar.gz
hercules-fe6599de91dbab781e37fbded66cfecb685041cf.tar.bz2
hercules-fe6599de91dbab781e37fbded66cfecb685041cf.tar.xz
hercules-fe6599de91dbab781e37fbded66cfecb685041cf.zip
Moved validationinterfaces.py call to travis.sh
Signed-off-by: Haru <haru@dotalux.com>
Diffstat (limited to 'travis.sh')
-rwxr-xr-xtravis.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/travis.sh b/travis.sh
index 6f2eced20..c04131e20 100755
--- a/travis.sh
+++ b/travis.sh
@@ -54,6 +54,7 @@ case "$MODE" in
mysql $DBUSER $DBPASS $DBNAME < sql-files/logs.sql || aborterror "Unable to import logs database."
;;
build)
+ (cd tools && ./validateinterfaces.py silent) || aborterror "Interface validation error."
./configure $@ || aborterror "Configure error, aborting build."
make sql -j3 || aborterror "Build failed."
if [ -f src/plugins/script_mapquit.c ]; then